Nhóm
GET https://tistos.com/api/teams/
curl --request GET \
--url 'https://tistos.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| search | Tùy chọn Chuỗi | Chuỗi tìm kiếm. |
| search_by | Tùy chọn Chuỗi | Bạn đang tìm kiếm theo lĩnh vực nào. Các giá trị cho phép là: name. |
| datetime_field | Tùy chọn Chuỗi | Giá trị cho phép: datetime, last_datetime |
| datetime_start | Tùy chọn Chuỗi | Lọc kết quả bắt đầu từ ngày giờ này. Định dạng Y-m-d H:i:s. |
| datetime_end | Tùy chọn Chuỗi | Lọc kết quả đến ngày giờ này. Định dạng Y-m-d H:i:s. |
| order_by | Tùy chọn Chuỗi | Trường nào để sắp xếp kết quả. Các giá trị cho phép là: team_id, datetime, last_datetime, name. |
| order_type | Tùy chọn Chuỗi | Thứ tự của các kết quả. Các giá trị cho phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần. |
| page | Tùy chọn Integer | Số trang mà bạn muốn nhận kết quả. Mặc định là 1. |
| results_per_page | Tùy chọn Integer | Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị cho phép là: 10, 25, 50, 100, 250, 500, 1000. Mặc định là 25. |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-07-18 11:36:23",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-07-18 11:36:23",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/teams?page=1",
"last": "https://tistos.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/teams?page=1"
}
}
GET https://tistos.com/api/teams/{team_id}
curl --request GET \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "[email protected]",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-07-18 11:36:23",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-07-18 11:36:23",
}
}
POST https://tistos.com/api/teams
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| name | Required Chuỗi | - |
curl --request POST \
--url 'https://tistos.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://tistos.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/teams/{team_id}
| Tham số | Chi tiết | Mô tả |
|---|---|---|
| name | Tùy chọn Chuỗi | - |
curl --request POST \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \